#!/usr/bin/perl -T
# $Id: about.cgi,v 1.7 2015/01/21 07:15:49 sofc Exp $

use strict;
use warnings;
use Impedance::Header;
use SemaforeFile;
use Impedance::IMPCGI qw(:DEFAULT :html :cgi);
use CGI qw(:standard :netscape);
print_header("About Elchemea");
top_nav_bar_start();
top_no_button();
top_no_button();
top_no_button();
tab_newrow();
js_back();
top_js_return('#006600','white');
top_no_button();
top_no_button();
top_no_button();
top_nav_bar_button('main.cgi','','','To menu','s4');
end_top_bar();
&main_page;


sub main_page
{
    my $file = SemaforeFile->new('/home/analytic/analytic_build');
    my @l = $file->readlines;
    my $build = $l[0];
    print '<center>';
    print h1("About Elchemea ".$Impedance::Header::VERSION." build $build");
    print '<table border=0 class="data_table" cellspacing=20>';
    print '<tr height=1>';
    print '<td width="10%"></td>';
    print '<td width="25%"></td>';
    print '<td width="25%"></td>';
    print '<td width="25%"></td>';
    print '<td width="15%"></td>';
    print '</tr>';
    print '<tr><td height=20></td></tr>';
    print '<tr><td></td><td colspan="3" class=about>';
    print "The Elchemea software was originally designed by ".$Impedance::Header::DESIGNERS;
    print '</td></tr>';
    print '<tr><td height=10></td></tr>';
    print '<tr><td></td><td colspan="3" class=about>';
    print 'The Software is written in Perl&copy; and the graphics created by this software are created using Gnuplot&copy;<br>';
    print 'The actual NLLS fitting that this software is using is also done by Gnuplot&copy;';
    print '</td></tr>';
    print '<tr><td></td><td colspan=3 class=about>';
    print <<END;

    Copyright &copy S&oslash;ren Koch, Christopher Graves, Karin Vels Hansen and <a href="http://www.ecs.dtu.dk/">DTU Energy</a>
<br><br>
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
<br><br>
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
<br><br>
    You should have received a copy of the GNU General Public License
    along with this program. If not, see <a href="http://www.gnu.org/licenses/">www.gnu.org/licenses/ </a>.



END
    print '</td></tr>';
    print '<tr><td height=10></td></tr>';
    print '<tr><td></td><td colspan="3" class=about>';
    print 'Initial coding was performed by ',$Impedance::Header::IMPLEMENTERS;
    print '</td></tr>';
    print '</table>';
    print '</center>';
}
