/* $Id: analytic.js,v 1.6 2015/08/26 11:35:30 sofc Exp $ */


function doAlertLogout(t) {
    var tt = setTimeout(dologout(),t);
}

function dologout()
{
	IsLoggedIn = 0;
	document.logout.Logout.value = 'To front page';
	alert('You have been automatically logged out!');
}


function is_int(element)
{
	var val = element.value;
	reg = /^\d+$/;
	if (!reg.test(val))
	{	
		alert("'"+val+"' is not an integer!")
		element.focus();
		element.select();
		return false;
	}
	return true;
}

function is_float(element)
{
	var val = element.value;
	reg = /^[\d\.\-\+eE]+$/;
	if (!reg.test(val))
	{	
		alert("'"+val+"' is not an number!")
		element.focus();
		element.select();
		return false;
	}
	return true;
}

function is_float_or_ocv(element)
{
	var val = element.value;
	reg = /^[\d\.\-\+eE]+$/;
	reg2 = /^ocv$/i;
	if (!reg.test(val) && !reg2.test(val))
	{	
		alert("'"+val+"' is not 'ocv' or not an number!")
		element.focus();
		element.select();
		return false;
	}
	return true;
}


/*   Model handling functions */

function add_element(res)
{
	var model = document.sofc.model;
	model.value = model.value+"\n"+res;
	add_element_go();
}



/* AJAX functions */


function ajax_ok(script,tagname,element){
    var rnd = "&rnd="+ Math.random();
    if (element.value == null || element.value.length == 0)
    {
        // No need to run query if input is empty
        element.value = '';
        return false;
    }
    var ajaxRequest;   // The variable that makes Ajax possible!
    try{
        // Opera 8.0+, Firefox, Safari
        ajaxRequest = new XMLHttpRequest();
    } catch (e){
        // Internet Explorer Browsers
        try{
             ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
        } catch (e) {
             try{
                  ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
             } catch (e){
                  // Something went wrong
                  alert("Your browser broke!");
                  return false;
             }
        }
    }
    // Create a function that will receive data sent from the server
    ajaxRequest.onreadystatechange = function(){
        if(ajaxRequest.readyState == 4){
            // This is what actually is done once ajax request has finished
            if (ajaxRequest.responseText != "OK")
            {
                alert(ajaxRequest.responseText);
                element.value = '';
                element.focus();
            }
        }
    }
    var hidden = "?ajax=1"+rnd;
    var query = "@"+tagname+"="+element.value;
    ajaxRequest.open("GET", script+hidden+query, true);
    ajaxRequest.send(null);
}


function run_ajax(script,query,func){
    var rnd = "&rnd="+ Math.random();
    var ajaxRequest;  // The variable that makes Ajax possible!
        try{
            // Opera 8.0+, Firefox, Safari
                ajaxRequest = new XMLHttpRequest();
        } catch (e){
            // Internet Explorer Browsers
                try{
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    try{
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e){
                        // Something went wrong
                            alert("Your browser broke!");
                        return false;
                    }
                }
        }
    // Create a function that will receive data sent from the server
        ajaxRequest.onreadystatechange = function(){
            if(ajaxRequest.readyState == 4){
                // This is what actually is done once ajax request has finished
                    func(ajaxRequest.responseText);
            }
        }
    var hidden = "?ajax=1"+rnd;
    ajaxRequest.open("GET", script+hidden+query, true);
    ajaxRequest.send(null);
}


function ajax_alert(s)
{
    if (s == "OK")
    {
        return true;
    }
    alert(s);
    return false;
}


function IMP_open(script,w,h,l,t)
{
    var data = document.sofc.data.value;
    var model = document.sofc.model.value;
    var mode = 	document.sofc.mode.value;
    var t = document.sofc.type.value;
    var hidden = "?data="+data+"&model="+model+"&type="+t+"&mode="+mode;
    hidden = hidden.replace(/\\r/g,"\n");
    hidden = hidden.replace(/\n/g,"%0A");
    hidden = hidden.replace(/\+/g,"%2B");
    var d = (new Date().getTime());
    var myWindow=window.open(script+hidden,'new_win'+d,'width='+w+',height='+h+',left='+l+',top='+t);
    myWindow.location.href = script+hidden;
    if (!myWindow.opener)
        myWindow.opener = self;
    myWindow.focus();
}

function report_open(script,w,h,l,t)
{
    var d = (new Date().getTime());
    var myWindow=window.open(script,'new_win'+d,'width='+w+',height='+h+',left='+l+',top='+t+',status=1,toolbar=1,menubar=1,resizable=1,scrollbars=1');
    myWindow.location.href = script;
    if (!myWindow.opener)
        myWindow.opener = self;
    myWindow.focus();
}

function CPLE_open(script,w,h,l,t)
{
    var data = document.sofc.data.value;
    if (data == undefined)
	data = '';
    var fdata = document.sofc.filedata.value;
    if (fdata == undefined)
	fdata = '';
    var model = document.sofc.model.value;
    if (model == undefined)
	model = '';
    var nr = document.sofc.offset.value;
    var length = document.sofc.length.value;
    var text = document.sofc.text.value;
    if (text == undefined)
	text = '';
    var name = document.sofc.filename.value;
    if (name == undefined)
	name = '';
    var type = document.sofc.type.value;
    if (type == undefined)
	type = '';
    var minf = document.sofc.minf.value;
    if (minf == undefined)
	minf = '';
    var maxf = document.sofc.maxf.value;
    if (maxf == undefined)
	maxf = '';
    var fit = document.sofc.fit_res.value;
    if (fit == undefined)
	fit = '';
    var R_L = document.sofc.add_R_L.value;
    if (R_L == undefined)
	R_L = '';
    var hidden = "?filename="+name+"&data="+data+"&model="+model+"&offset="+nr+"&length="+length+"&text="+text+"&type="+type+"&maxf="+maxf+"&minf="+minf+"&fit_res="+fit+"&add_R_L="+R_L;
    /* Fix newlines */
    hidden = hidden.replace(/\\r/g,"\n");
    hidden = hidden.replace(/\n/g,"%0A");
    hidden = hidden.replace(/\+/g,"%2B");
/*    hidden = escape(hidden);*/
    var d = (new Date().getTime());
    var myWindow=window.open(script+hidden,'windowRef'+d,'width='+w+',height='+h+',left='+l+',top='+t);
    myWindow.location.href = script+hidden;
    if (!myWindow.opener)
        myWindow.opener = self;
    myWindow.focus();
}

/*   Fix for broken onblur() in IE *Argh* */

var active_element;
var bIsMSIE = false;

function save_active()
{
        active_element = document.activeElement;
}


/*
In Internet Explorer 'onblur' event is implemented incorrectly (as opposed to Firefox/Mozilla browsers).
It is wrongly fired when focus is switched between HTML elements *inside* a window. As a result, clicking
on any element *inside* a popup window or trying to select something there will also close a popup.
Below is a workaround.
*/

function initiateSelfClosing()
{
        if (navigator.appName == "Microsoft Internet Explorer") {
                active_element = document.activeElement;
                document.onfocusout = closeWnd;
                bIsMSIE = true;
        }
        else 
        { 
                window.onblur = closeWnd; 
        }
}

function closeWnd()
{
	/* Fix for making sure that popups may make popups without closing themselves */
	if (document.sofc.allow_close.value != 1)
	{
		return false;
	}	
        if (window.opener != null) {
                if (bIsMSIE && (active_element != document.activeElement)) {
                        active_element = document.activeElement;
                }
                else 
                {
			try
			{	
				opener.document.sofc.allow_close.value = 1;
			}
			catch (e)
			{
				/* do nothing */
			}	
                        window.close();
                }
        }
}


