#!/bin/bash
conf=`apachectl -V | grep SERVER_CONFIG_FILE | perl -e '\$s = <STDIN>; \$s =~ /\"(.*)\"/; print \$1;'`
httpd_conf=`locate $conf | grep -P 'conf$$'`
html=`grep -P '^DocumentRoot' $httpd_conf | perl -e 'while (\$v = <>){chomp \$v; \$v =~ /\"([\w\-\/]+)\"/; print \$1};'`
if [ -n "$html" ];
then
    echo $html;
else
    html=`grep -i 'DocumentRoot' /etc/apache2/sites-available/000-default.conf | perl -e '\$s = <STDIN>; \$s =~ /([\/\w]+\$)/; print \$1;'`
    echo $html;
fi

